HomePhabricator

[llvm-shlib] Do not use version script when building with MinGW

Authored by pirama on Jun 25 2019, 12:34 PM.

Description

[llvm-shlib] Do not use version script when building with MinGW

Summary:
The MinGW driver for lld does not support the --version-script option.
For GNU ld, it's a no-op since LLVM.dll exports all symbols.

Reviewers: srhines, mstorsjo

Subscribers: mgorny, fedor.sergeev, llvm-commits

Tags: #llvm

Differential Revision: https://reviews.llvm.org/D63743

llvm-svn: 364343

Details

Committed
piramaJun 25 2019, 12:34 PM
Differential Revision
D63743: [llvm-shlib] Do not use version script when building with MinGW
Parents
rG688afeb88448: Update phis in AMDGPUUnifyDivergentExitNodes
Branches
Unknown
Tags
Unknown